diff --git a/web/pgadmin/tools/debugger/static/js/direct.js b/web/pgadmin/tools/debugger/static/js/direct.js
index 2085654a..d0dbad79 100644
--- a/web/pgadmin/tools/debugger/static/js/direct.js
+++ b/web/pgadmin/tools/debugger/static/js/direct.js
@@ -287,430 +285,430 @@ define([
         other updated information from the server.
       */
       poll_result: function(trans_id) {
-      var self = this;
-
-      // Do we need to poll?
-      if(!pgTools.DirectDebug.is_polling_required){
-        return;
-      }
-
-      // Make ajax call to listen the database message
-      var baseUrl = url_for('debugger.poll_result', {'trans_id': trans_id});
-
-      /*
-        During the execution we should poll the result in minimum seconds but once the execution is completed
-        and wait for the another debugging session then we should decrease the polling frequency.
-      */
-      if (pgTools.DirectDebug.polling_timeout_idle) {
-        // poll the result after 1 second
-        var  poll_timeout = 1000;
-      }
-      else {
-        // poll the result after 200 ms
-        var  poll_timeout = 200;
-      }
+        var self = this;
 
-      setTimeout(
-        function() {
-        $.ajax({
-          url: baseUrl,
-          method: 'GET',
-          beforeSend: function(jqXHR, settings) {
-            // set cursor to progress before every poll.
-            $('.debugger-container').addClass('show_progress');
-          },
-          success: function(res) {
-            // remove progress cursor
-            $('.debugger-container').removeClass('show_progress');
+        // Do we need to poll?
+        if (!pgTools.DirectDebug.is_polling_required) {
+          return;
+        }
 
-            if (res.data.status === 'Success') {
-              // If no result then poll again to wait for results.
-              if (res.data.result == null || res.data.result.length == 0) {
-                self.poll_result(trans_id);
-              }
-              else {
-                if (res.data.result[0].src != undefined || res.data.result[0].src != null) {
-                pgTools.DirectDebug.polling_timeout_idle = false;
-                pgTools.DirectDebug.docker.finishLoading(50);
-                pgTools.DirectDebug.editor.setValue(res.data.result[0].src);
-                self.UpdateBreakpoint(trans_id);
-                pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
-                pgTools.DirectDebug.editor.addLineClass((res.data.result[0].linenumber - 2), 'wrap', 'CodeMirror-activeline-background');
-                self.active_line_no = (res.data.result[0].linenumber - 2);
+        // Make ajax call to listen the database message
+        var baseUrl = url_for('debugger.poll_result', {
+            'trans_id': trans_id,
+          }),
+          poll_timeout;
+
+        /*
+          During the execution we should poll the result in minimum seconds but once the execution is completed
+          and wait for the another debugging session then we should decrease the polling frequency.
+        */
+        if (pgTools.DirectDebug.polling_timeout_idle) {
+          // Poll the result after 1 second
+          poll_timeout = 1000;
+        } else {
+          // Poll the result after 200 ms
+          poll_timeout = 200;
+        }
 
-                // Update the stack, local variables and parameters information
-                self.GetStackInformation(trans_id);
+        setTimeout(
+          function() {
+            $.ajax({
+              url: baseUrl,
+              method: 'GET',
+              beforeSend: function() {
+                // set cursor to progress before every poll.
+                $('.debugger-container').addClass('show_progress');
+              },
+              success: function(res) {
+                // remove progress cursor
+                $('.debugger-container').removeClass('show_progress');
 
-                }
-                else if (!pgTools.DirectDebug.debug_type && !pgTools.DirectDebug.first_time_indirect_debug) {
-                  pgTools.DirectDebug.docker.finishLoading(50);
-                  if (self.active_line_no != undefined) {
-                    pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
+                if (res.data.status === 'Success') {
+                  // If no result then poll again to wait for results.
+                  if (res.data.result == null || res.data.result.length == 0) {
+                    self.poll_result(trans_id);
+                  } else {
+                    if (res.data.result[0].src != undefined || res.data.result[0].src != null) {
+                      pgTools.DirectDebug.polling_timeout_idle = false;
+                      pgTools.DirectDebug.docker.finishLoading(50);
+                      pgTools.DirectDebug.editor.setValue(res.data.result[0].src);
+                      self.UpdateBreakpoint(trans_id);
+                      pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
+                      pgTools.DirectDebug.editor.addLineClass((res.data.result[0].linenumber - 2), 'wrap', 'CodeMirror-activeline-background');
+                      self.active_line_no = (res.data.result[0].linenumber - 2);
+
+                      // Update the stack, local variables and parameters information
+                      self.GetStackInformation(trans_id);
+
+                    } else if (!pgTools.DirectDebug.debug_type && !pgTools.DirectDebug.first_time_indirect_debug) {
+                      pgTools.DirectDebug.docker.finishLoading(50);
+                      if (self.active_line_no != undefined) {
+                        pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
+                      }
+                      self.clear_all_breakpoint(trans_id);
+                      self.execute_query(trans_id);
+                      pgTools.DirectDebug.first_time_indirect_debug = true;
+                      pgTools.DirectDebug.polling_timeout_idle = false;
+                    } else {
+                      pgTools.DirectDebug.polling_timeout_idle = false;
+                      pgTools.DirectDebug.docker.finishLoading(50);
+                      // If the source is really changed then only update the breakpoint information
+                      if (res.data.result[0].src != pgTools.DirectDebug.editor.getValue()) {
+                        pgTools.DirectDebug.editor.setValue(res.data.result[0].src);
+                        self.UpdateBreakpoint(trans_id);
+                      }
+
+                      pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
+                      pgTools.DirectDebug.editor.addLineClass((res.data.result[0].linenumber - 2), 'wrap', 'CodeMirror-activeline-background');
+                      self.active_line_no = (res.data.result[0].linenumber - 2);
+
+                      // Update the stack, local variables and parameters information
+                      self.GetStackInformation(trans_id);
+                    }
+
+                    // Enable all the buttons as we got the results
+                    self.enable('stop', true);
+                    self.enable('step_over', true);
+                    self.enable('step_into', true);
+                    self.enable('continue', true);
+                    self.enable('toggle_breakpoint', true);
+                    self.enable('clear_all_breakpoints', true);
                   }
-                  self.clear_all_breakpoint(trans_id);
-                  self.execute_query(trans_id);
-                  pgTools.DirectDebug.first_time_indirect_debug = true;
-                  pgTools.DirectDebug.polling_timeout_idle = false;
-                }
-                else {
-                  pgTools.DirectDebug.polling_timeout_idle = false;
-                  pgTools.DirectDebug.docker.finishLoading(50);
-                  // If the source is really changed then only update the breakpoint information
-                  if (res.data.result[0].src != pgTools.DirectDebug.editor.getValue()) {
-                    pgTools.DirectDebug.editor.setValue(res.data.result[0].src);
-                    self.UpdateBreakpoint(trans_id);
+                } else if (res.data.status === 'Busy') {
+                  pgTools.DirectDebug.polling_timeout_idle = true;
+                  // If status is Busy then poll the result by recursive call to the poll function
+                  if (!pgTools.DirectDebug.debug_type) {
+                    pgTools.DirectDebug.docker.startLoading(gettext('Waiting for another session to invoke the target...'));
+
+                    // As we are waiting for another session to invoke the target,disable all the buttons
+                    self.enable('stop', false);
+                    self.enable('step_over', false);
+                    self.enable('step_into', false);
+                    self.enable('continue', false);
+                    self.enable('toggle_breakpoint', false);
+                    self.enable('clear_all_breakpoints', false);
+                    pgTools.DirectDebug.first_time_indirect_debug = false;
+                    self.poll_result(trans_id);
+                  } else {
+                    self.poll_result(trans_id);
                   }
-
-                  pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
-                  pgTools.DirectDebug.editor.addLineClass((res.data.result[0].linenumber - 2), 'wrap', 'CodeMirror-activeline-background');
-                  self.active_line_no = (res.data.result[0].linenumber - 2);
-
-                  // Update the stack, local variables and parameters information
-                  self.GetStackInformation(trans_id);
+                } else if (res.data.status === 'NotConnected') {
+                  Alertify.alert(
+                    gettext('Debugger Error'),
+                    gettext('Error while polling result.')
+                  );
                 }
+              },
+              error: function() {
+                Alertify.alert(
+                  gettext('Debugger Error'),
+                  gettext('Error while polling result.')
+                );
+              },
+            });
+          }, poll_timeout);
 
-                // Enable all the buttons as we got the results
-                self.enable('stop', true);
-                self.enable('step_over', true);
-                self.enable('step_into', true);
-                self.enable('continue', true);
-                self.enable('toggle_breakpoint', true);
-                self.enable('clear_all_breakpoints', true);
-              }
-            }
-            else if (res.data.status === 'Busy') {
-              pgTools.DirectDebug.polling_timeout_idle = true;
-              // If status is Busy then poll the result by recursive call to the poll function
-              if (!pgTools.DirectDebug.debug_type) {
-                pgTools.DirectDebug.docker.startLoading(gettext('Waiting for another session to invoke the target...'));
-
-                // As we are waiting for another session to invoke the target,disable all the buttons
-                self.enable('stop', false);
-                self.enable('step_over', false);
-                self.enable('step_into', false);
-                self.enable('continue', false);
-                self.enable('toggle_breakpoint', false);
-                self.enable('clear_all_breakpoints', false);
-                pgTools.DirectDebug.first_time_indirect_debug = false;
-                self.poll_result(trans_id);
-              }
-              else {
-                self.poll_result(trans_id);
-              }
-            }
-            else if (res.data.status === 'NotConnected') {
-              Alertify.alert(
-                gettext('Debugger Error'),
-                gettext('Error while polling result.')
-              );
-            }
-          },
-          error: function(e) {
-            Alertify.alert(
-              gettext('Debugger Error'),
-              gettext('Error while polling result.')
-            );
-          }
-        });
-      }, poll_timeout );
-
-    },
+      },
 
-    // This function will update messages tab
-    update_messages: function(msg) {
-      // To prevent xss
-      msg = _.escape(msg);
+      // This function will update messages tab
+      update_messages: function(msg) {
+        // To prevent xss
+        msg = _.escape(msg);
 
-      var old_msgs='', new_msgs='';
+        var old_msgs = '',
+          new_msgs = '';
         old_msgs = pgTools.DirectDebug.messages_panel.$container.find('.messages').html();
-        if(old_msgs) {
+        if (old_msgs) {
           new_msgs = (old_msgs + '\n' + msg)
-                        .replace(/(?:\r\n|\r|\n)/g, '<br />') // Newlines with <br>
-                        .replace(/(<br\ ?\/?>)+/g, '<br />'); // multiple <br> with single <br>
+            .replace(/(?:\r\n|\r|\n)/g, '<br />') // Newlines with <br>
+            .replace(/(<br\ ?\/?>)+/g, '<br />'); // multiple <br> with single <br>
         } else {
           new_msgs = msg;
         }
         pgTools.DirectDebug.messages_panel.$container.find('.messages').html(new_msgs);
-    },
-
-    /*
-      For the direct debugging, we need to check weather the functions execution is completed or not. After completion
-      of the debugging, we will stop polling the result  until new execution starts.
-    */
-    poll_end_execution_result: function(trans_id) {
-      var self = this;
-
-      // Do we need to poll?
-      if(!pgTools.DirectDebug.is_polling_required){
-        return;
-      }
-
-      // Make ajax call to listen the database message
-      var baseUrl = url_for('debugger.poll_end_execution_result', {'trans_id': trans_id});
+      },
 
       /*
-        During the execution we should poll the result in minimum seconds but once the execution is completed
-        and wait for the another debugging session then we should decrease the polling frequency.
+        For the direct debugging, we need to check weather the functions execution is completed or not. After completion
+        of the debugging, we will stop polling the result  until new execution starts.
       */
-      if (pgTools.DirectDebug.polling_timeout_idle) {
-        // poll the result to check that execution is completed or not after 1200 ms
-        var  poll_end_timeout = 1200;
-      }
-      else {
-        // poll the result to check that execution is completed or not after 350 ms
-        var  poll_end_timeout = 250;
-      }
+      poll_end_execution_result: function(trans_id) {
+        var self = this;
 
-      setTimeout(
-        function() {
-          $.ajax({
-          url: baseUrl,
-          method: 'GET',
-          success: function(res) {
-            if (res.data.status === 'Success') {
-              if(res.data.result == undefined ) {
-                /*
-                 "result" is undefined only in case of EDB procedure. As Once the EDB procedure execution is completed
-                 then we are not getting any result so we need ignore the result.
-                */
-                pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
-                pgTools.DirectDebug.direct_execution_completed = true;
-                pgTools.DirectDebug.polling_timeout_idle = true;
-
-                //Set the alertify message to inform the user that execution is completed.
-                Alertify.success(res.info, 3);
-
-                // Update the message tab of the debugger
-                if (res.data.status_message) {
-                  self.update_messages(res.data.status_message);
-                }
+        // Do we need to poll?
+        if (!pgTools.DirectDebug.is_polling_required) {
+          return;
+        }
 
-                // remove progress cursor
-                $('.debugger-container').removeClass('show_progress');
+        // Make ajax call to listen the database message
+        var baseUrl = url_for('debugger.poll_end_execution_result', {
+            'trans_id': trans_id,
+          }),
+          poll_end_timeout;
+
+        /*
+         * During the execution we should poll the result in minimum seconds
+         * but once the execution is completed and wait for the another
+         * debugging session then we should decrease the polling frequency.
+         */
+        if (pgTools.DirectDebug.polling_timeout_idle) {
+          // Poll the result to check that execution is completed or not
+          // after 1200 ms
+          poll_end_timeout = 1200;
+        } else {
+          // Poll the result to check that execution is completed or not
+          // after 350 ms
+          poll_end_timeout = 250;
+        }
 
-                // Execution completed so disable the buttons other than "Continue/Start" button because user can still
-                // start the same execution again.
-                self.enable('stop', false);
-                self.enable('step_over', false);
-                self.enable('step_into', false);
-                self.enable('toggle_breakpoint', false);
-                self.enable('clear_all_breakpoints', false);
-                self.enable('continue', true);
-                // Stop further polling
-                pgTools.DirectDebug.is_polling_required = false;
-              }
-              else {
-                // Call function to create and update local variables ....
-                if (res.data.result != null) {
-                  pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
-                  self.AddResults(res.data.col_info, res.data.result);
-                  pgTools.DirectDebug.results_panel.focus();
+        setTimeout(
+          function() {
+            $.ajax({
+              url: baseUrl,
+              method: 'GET',
+              success: function(res) {
+                if (res.data.status === 'Success') {
+                  if (res.data.result == undefined) {
+                    /*
+                     "result" is undefined only in case of EDB procedure. As Once the EDB procedure execution is completed
+                     then we are not getting any result so we need ignore the result.
+                    */
+                    pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
+                    pgTools.DirectDebug.direct_execution_completed = true;
+                    pgTools.DirectDebug.polling_timeout_idle = true;
+
+                    //Set the alertify message to inform the user that execution is completed.
+                    Alertify.success(res.info, 3);
+
+                    // Update the message tab of the debugger
+                    if (res.data.status_message) {
+                      self.update_messages(res.data.status_message);
+                    }
+
+                    // remove progress cursor
+                    $('.debugger-container').removeClass('show_progress');
+
+                    // Execution completed so disable the buttons other than "Continue/Start" button because user can still
+                    // start the same execution again.
+                    self.enable('stop', false);
+                    self.enable('step_over', false);
+                    self.enable('step_into', false);
+                    self.enable('toggle_breakpoint', false);
+                    self.enable('clear_all_breakpoints', false);
+                    self.enable('continue', true);
+                    // Stop further polling
+                    pgTools.DirectDebug.is_polling_required = false;
+                  } else {
+                    // Call function to create and update local variables ....
+                    if (res.data.result != null) {
+                      pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
+                      self.AddResults(res.data.col_info, res.data.result);
+                      pgTools.DirectDebug.results_panel.focus();
+                      pgTools.DirectDebug.direct_execution_completed = true;
+                      pgTools.DirectDebug.polling_timeout_idle = true;
+
+                      //Set the alertify message to inform the user that execution is completed.
+                      Alertify.success(res.info, 3);
+
+                      // Update the message tab of the debugger
+                      if (res.data.status_message) {
+                        self.update_messages(res.data.status_message);
+                      }
+
+                      // remove progress cursor
+                      $('.debugger-container').removeClass('show_progress');
+
+                      // Execution completed so disable the buttons other than "Continue/Start" button because user can still
+                      // start the same execution again.
+                      self.enable('stop', false);
+                      self.enable('step_over', false);
+                      self.enable('step_into', false);
+                      self.enable('toggle_breakpoint', false);
+                      self.enable('clear_all_breakpoints', false);
+                      self.enable('continue', true);
+
+                      // Stop further pooling
+                      pgTools.DirectDebug.is_polling_required = false;
+                    }
+                  }
+                } else if (res.data.status === 'Busy') {
+                  // If status is Busy then poll the result by recursive call to the poll function
+                  self.poll_end_execution_result(trans_id);
+                  // Update the message tab of the debugger
+                  if (res.data.status_message) {
+                    self.update_messages(res.data.status_message);
+                  }
+                } else if (res.data.status === 'NotConnected') {
+                  Alertify.alert(
+                    gettext('Debugger poll end execution error'),
+                    res.data.result
+                  );
+                } else if (res.data.status === 'ERROR') {
                   pgTools.DirectDebug.direct_execution_completed = true;
-                  pgTools.DirectDebug.polling_timeout_idle = true;
+                  pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
 
-                  //Set the alertify message to inform the user that execution is completed.
-                  Alertify.success(res.info, 3);
+                  //Set the Alertify message to inform the user that execution is completed with error.
+                  if (!pgTools.DirectDebug.is_user_aborted_debugging) {
+                    Alertify.error(res.info, 3);
+                  }
 
                   // Update the message tab of the debugger
                   if (res.data.status_message) {
                     self.update_messages(res.data.status_message);
                   }
 
+                  pgTools.DirectDebug.messages_panel.focus();
+
                   // remove progress cursor
                   $('.debugger-container').removeClass('show_progress');
 
-                  // Execution completed so disable the buttons other than "Continue/Start" button because user can still
-                  // start the same execution again.
+                  // Execution completed so disable the buttons other than
+                  // "Continue/Start" button because user can still start the
+                  // same execution again.
                   self.enable('stop', false);
                   self.enable('step_over', false);
                   self.enable('step_into', false);
                   self.enable('toggle_breakpoint', false);
                   self.enable('clear_all_breakpoints', false);
-                  self.enable('continue', true);
+                  // If debugging is stopped by user then do not enable
+                  // continue/restart button
+                  if (!pgTools.DirectDebug.is_user_aborted_debugging) {
+                    self.enable('continue', true);
+                    pgTools.DirectDebug.is_user_aborted_debugging = false;
+                  }
 
                   // Stop further pooling
                   pgTools.DirectDebug.is_polling_required = false;
                 }
-              }
-            }
-            else if (res.data.status === 'Busy') {
-              // If status is Busy then poll the result by recursive call to the poll function
-              self.poll_end_execution_result(trans_id);
-              // Update the message tab of the debugger
-              if (res.data.status_message) {
-                self.update_messages(res.data.status_message);
-              }
-            }
-            else if (res.data.status === 'NotConnected') {
-              Alertify.alert(
-                gettext('Debugger poll end execution error'),
-                res.data.result
-              );
-            }
-            else if (res.data.status === 'ERROR') {
-              pgTools.DirectDebug.direct_execution_completed = true;
-              pgTools.DirectDebug.editor.removeLineClass(self.active_line_no, 'wrap', 'CodeMirror-activeline-background');
-
-              //Set the Alertify message to inform the user that execution is completed with error.
-              if(!pgTools.DirectDebug.is_user_aborted_debugging) {
-                Alertify.error(res.info, 3);
-              }
-
-              // Update the message tab of the debugger
-              if (res.data.status_message) {
-                self.update_messages(res.data.status_message);
-              }
-
-              pgTools.DirectDebug.messages_panel.focus();
-
-              // remove progress cursor
-              $('.debugger-container').removeClass('show_progress');
-
-              // Execution completed so disable the buttons other than
-              // "Continue/Start" button because user can still start the
-              // same execution again.
-              self.enable('stop', false);
-              self.enable('step_over', false);
-              self.enable('step_into', false);
-              self.enable('toggle_breakpoint', false);
-              self.enable('clear_all_breakpoints', false);
-              // If debugging is stopped by user then do not enable
-              // continue/restart button
-              if(!pgTools.DirectDebug.is_user_aborted_debugging)
-              {
-                self.enable('continue', true);
-                pgTools.DirectDebug.is_user_aborted_debugging = false;
-              }
+              },
+              error: function() {
+                Alertify.alert(
+                  gettext('Debugger Error'),
+                  gettext('Error while polling result.')
+                );
+              },
+            });
+          }, poll_end_timeout);
 
-              // Stop further pooling
-              pgTools.DirectDebug.is_polling_required = false;
-            }
-          },
-          error: function(e) {
-            Alertify.alert(
-              gettext('Debugger Error'),
-              gettext('Error while polling result.')
-            );
-          }
-        });
-      }, poll_end_timeout);
+      },
 
-    },
+      Restart: function(trans_id) {
 
-    Restart: function(trans_id) {
+        var self = this,
+          baseUrl = url_for('debugger.restart', {
+            'trans_id': trans_id,
+          });
+        self.enable('stop', false);
+        self.enable('step_over', false);
+        self.enable('step_into', false);
+        self.enable('toggle_breakpoint', false);
+        self.enable('clear_all_breakpoints', false);
+        self.enable('continue', false);
 
-      var self = this,
-        baseUrl = url_for('debugger.restart', {'trans_id': trans_id});
-      self.enable('stop', false);
-      self.enable('step_over', false);
-      self.enable('step_into', false);
-      self.enable('toggle_breakpoint', false);
-      self.enable('clear_all_breakpoints', false);
-      self.enable('continue', false);
+        // Clear msg tab
+        pgTools.DirectDebug.messages_panel.$container.find('.messages').html('');
 
-      // Clear msg tab
-      pgTools.DirectDebug.messages_panel.$container.find('.messages').html('');
+        $.ajax({
+          url: baseUrl,
+          success: function(res) {
+            // Restart the same function debugging with previous arguments
+            var restart_dbg = res.data.restart_debug ? 1 : 0;
 
-      $.ajax({
-        url: baseUrl,
-        success: function(res) {
-          // Restart the same function debugging with previous arguments
-          var restart_dbg = res.data.restart_debug ? 1 : 0;
+            // Start pooling again
+            pgTools.DirectDebug.polling_timeout_idle = false;
+            pgTools.DirectDebug.is_polling_required = true;
+            self.poll_end_execution_result(trans_id);
+            self.poll_result(trans_id);
 
-          // Start pooling again
-          pgTools.DirectDebug.polling_timeout_idle = false;
-          pgTools.DirectDebug.is_polling_required = true;
-          self.poll_end_execution_result(trans_id);
-          self.poll_result(trans_id);
+            if (restart_dbg) {
+              pgTools.DirectDebug.debug_restarted = true;
+            }
 
-          if (restart_dbg) {
-            pgTools.DirectDebug.debug_restarted = true;
-          }
+            /*
+             Need to check if restart debugging really require to open the input dialog ?
+             If yes then we will get the previous arguments from database and populate the input dialog
+             If no then we should directly start the listener.
+            */
+            if (res.data.result.require_input) {
+              debug_function_again(res.data.result, restart_dbg);
+            } else {
+              // Debugging of void function is started again so we need to start the listener again
+              var baseUrl = url_for('debugger.start_listener', {
+                'trans_id': trans_id,
+              });
+
+              $.ajax({
+                url: baseUrl,
+                method: 'GET',
+                success: function() {
+                  if (pgTools.DirectDebug.debug_type) {
+                    self.poll_end_execution_result(trans_id);
+                  }
+                },
+                error: function() {
+                  Alertify.alert(
+                    gettext('Debugger Error'),
+                    gettext('Error while polling result.')
+                  );
+                },
+              });
+            }
+          },
+          error: function(xhr) {
+            try {
+              var err = $.parseJSON(xhr.responseText);
+              if (err.success == 0) {
+                Alertify.alert(gettext('Debugger Error'), err.errormsg);
+              }
+            } catch (e) {
+              console.warn(e.stack || e);
+            }
+          },
+        });
+      },
 
-          /*
-           Need to check if restart debugging really require to open the input dialog ?
-           If yes then we will get the previous arguments from database and populate the input dialog
-           If no then we should directly start the listener.
-          */
-          if (res.data.result.require_input) {
-            var res_val = debug_function_again(res.data.result, restart_dbg);
-          }
-          else {
-            // Debugging of void function is started again so we need to start the listener again
-            var baseUrl = url_for('debugger.start_listener', {'trans_id': trans_id});
+      // Continue the execution until the next breakpoint
+      Continue: function(trans_id) {
+        var self = this;
+        self.enable('stop', false);
+        self.enable('step_over', false);
+        self.enable('step_into', false);
+        self.enable('toggle_breakpoint', false);
+        self.enable('clear_all_breakpoints', false);
+        self.enable('continue', false);
 
-            $.ajax({
-              url: baseUrl,
-              method: 'GET',
-              success: function(res) {
-                if (pgTools.DirectDebug.debug_type) {
-                  self.poll_end_execution_result(trans_id);
-                }
-              },
-              error: function(e) {
+        //Check first if previous execution was completed or not
+        if (pgTools.DirectDebug.direct_execution_completed &&
+          pgTools.DirectDebug.direct_execution_completed == pgTools.DirectDebug.polling_timeout_idle) {
+          self.Restart(trans_id);
+        } else {
+          // Make ajax call to listen the database message
+          var baseUrl = url_for('debugger.execute_query', {
+            'trans_id': trans_id,
+            'query_type': 'continue',
+          });
+          $.ajax({
+            url: baseUrl,
+            method: 'GET',
+            success: function(res) {
+              if (res.data.status) {
+                self.poll_result(trans_id);
+              } else {
                 Alertify.alert(
                   gettext('Debugger Error'),
-                  gettext('Error while polling result.')
+                  gettext('Error while executing continue in debugging session.')
                 );
               }
-            });
-          }
-        },
-        error: function(xhr, status, error) {
-          try {
-            var err = $.parseJSON(xhr.responseText);
-            if (err.success == 0) {
-              Alertify.alert(gettext('Debugger Error'), err.errormsg);
-            }
-          } catch (e) {}
-        }
-      });
-    },
-
-    // Continue the execution until the next breakpoint
-    Continue: function(trans_id) {
-      var self = this;
-      self.enable('stop', false);
-      self.enable('step_over', false);
-      self.enable('step_into', false);
-      self.enable('toggle_breakpoint', false);
-      self.enable('clear_all_breakpoints', false);
-      self.enable('continue', false);
-
-      //Check first if previous execution was completed or not
-      if (pgTools.DirectDebug.direct_execution_completed &&
-          pgTools.DirectDebug.direct_execution_completed == pgTools.DirectDebug.polling_timeout_idle) {
-        self.Restart(trans_id);
-      }
-      else {
-        // Make ajax call to listen the database message
-        var baseUrl = url_for('debugger.execute_query', {
-                        'trans_id': trans_id,
-                        'query_type': 'continue'
-                      });
-        $.ajax({
-          url: baseUrl,
-          method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              self.poll_result(trans_id);
-            }
-            else {
+            },
+            error: function() {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while executing continue in debugging session.')
               );
-            }
-          },
-          error: function(e) {
-            Alertify.alert(
-              gettext('Debugger Error'),
-              gettext('Error while executing continue in debugging session.')
-            );
-          }
-        });
-      }
-    },
+            },
+          });
+        }
+      },
 
       Step_over: function(trans_id) {
         var self = this;
